package com.cloudcross.ssp.service;


import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.CodeClass;



/**
 * 用户服务接口定义。
 * 
 * @author qaohao
 */
public interface ICodeClassService extends IGenericService<CodeClass> {
	CodeClass findByName(String codeName);
	
	public String getCode(Long id,int type);
	public int countByParamsOperator(Map<String, Object> paramMap);
	public List<CodeClass> findByParamsOperator(Map<String, Object> paramMap, Pager pager);
}